# (c) cavaliba.conf



- classname: _permission
  keyname: p_enumerate_admin
  is_builtin: True
  description: "Built-in enumerate admin permission"
  displayname: "p_enumerate_admin"

- classname: _permission
  keyname: p_enumerate_create
  is_builtin: True
  description: "Built-in enumerate create permission"
  displayname: p_enumerate_create

- classname: _permission
  keyname: p_enumerate_read
  is_builtin: True
  description: "Built-in enumerate read permission"
  displayname: p_enumerate_read

- classname: _permission
  keyname: p_enumerate_update
  is_builtin: True
  description: "Built-in enumerate update permission"
  displayname: p_enumerate_update
      
- classname: _permission
  keyname: p_enumerate_delete
  is_builtin: True
  description: "Built-in enumerate delete permission"
  displayname: p_enumerate_delete

- classname: _permission
  keyname: p_enumerate_import
  is_builtin: True
  description: "Built-in enumerate import permission"
  displayname: p_enumerate_import

- classname: _permission
  keyname: p_enumerate_export
  is_builtin: True
  description: "Built-in enumerate export permission"
  displayname: p_enumerate_export


# -------------------
# schema: enumerate
# -------------------


- classname: _schema
  keyname: _enumerate
  #_action: init
  displayname: Data Enumerates
  is_enabled: yes
  icon: fa-list
  order: 810
  page: Admin
  handle_method: md5
  p_admin: p_enumerate_admin
  p_create: p_enumerate_create
  p_read: p_enumerate_read
  p_update: p_enumerate_update
  p_delete: p_enumerate_delete
  p_import: p_enumerate_import
  p_export: p_enumerate_export

  description:
    displayname: Description
    order: 100
    dataformat: string
  content:
    displayname: Content
    page: input
    order: 120
    dataformat: text
    dataformat_ext: yaml 

